# Class ARIXP0SampleState

java.lang.Object
com.io7m.aradine.instrument.sampler_xp0.internal.ARIXP0SampleState

public final class ARIXP0SampleState extends Object
The playback state of a sample.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARIXP0SampleState(ARI1SampleMapEntryType inSample, double inVelocity)`
  The playback state of a sample.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `evaluate(double pitchBend, double[] frame)`
  Evaluate the sample.
  `int`
  `pitchBendRange()`
  `long`
  `position()`
  `double`
  `positionReal()`
  `void`
  `setLoopPoint(double newLoopPoint)`
  Set the loop point.
  `void`
  `setPitchBendRange(int newSemitones)`
  Set the pitch bend range.
  `double`
  `velocity()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ARIXP0SampleState

    public ARIXP0SampleState(ARI1SampleMapEntryType inSample, double inVelocity)
    The playback state of a sample.
    Parameters:
      `inSample` - The sample map entry
      `inVelocity` - The velocity

- ## Method Details

  - ### setPitchBendRange

    public void setPitchBendRange(int newSemitones)
    Set the pitch bend range.
    Parameters:
      `newSemitones` - The semitones range

  - ### pitchBendRange

    public int pitchBendRange()
    Returns:
      The current pitch bend range

  - ### setLoopPoint

    public void setLoopPoint(double newLoopPoint)
    Set the loop point.
    Parameters:
      `newLoopPoint` - The loop point

  - ### evaluate

    public void evaluate(double pitchBend, double[] frame)
    Evaluate the sample.
    Parameters:
      `pitchBend` - The current pitch bend value
      `frame` - The output frame

  - ### velocity

    public double velocity()
    Returns:
      The velocity

  - ### position

    public long position()
    Returns:
      The most recent playback position

  - ### positionReal

    public double positionReal()
    Returns:
      The most recent playback position